"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.integrationAuthToken = void 0;
const tslib_1 = require("tslib");
const node_fetch_1 = tslib_1.__importDefault(require("node-fetch"));
const resolve_epcc_url_1 = require("../../utility/resolve-epcc-url");
async function integrationAuthToken(client) {
    const host = client.config.host;
    const { access_token } = await client.Authenticate();
    const url = `${(0, resolve_epcc_url_1.resolveEpccBaseUrl)(host)}/v2/platform-integrations/authentication-token`;
    const resp = await (0, node_fetch_1.default)(url, {
        headers: {
            Authorization: access_token,
        },
    }).then((resp) => resp.json());
    return isSuccessResponse(resp)
        ? { success: true, data: { jwtToken: resp.data.jwt_token } }
        : {
            success: false,
            error: new Error("Failed to get integrations authentication token."),
        };
}
exports.integrationAuthToken = integrationAuthToken;
function isSuccessResponse(resp) {
    return typeof resp === "object" && resp !== null && "data" in resp;
}
