import fetch from "node-fetch";
import { resolveEpccBaseUrl } from "../../utility/resolve-epcc-url";
export async function integrationAuthToken(client) {
    const host = client.config.host;
    const { access_token } = await client.Authenticate();
    const url = `${resolveEpccBaseUrl(host)}/v2/platform-integrations/authentication-token`;
    const resp = await fetch(url, {
        headers: {
            Authorization: access_token,
        },
    }).then((resp) => resp.json());
    return isSuccessResponse(resp)
        ? { success: true, data: { jwtToken: resp.data.jwt_token } }
        : {
            success: false,
            error: new Error("Failed to get integrations authentication token."),
        };
}
function isSuccessResponse(resp) {
    return typeof resp === "object" && resp !== null && "data" in resp;
}
